Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.pietschy.command.log
Interface Logger

All Known Implementing Classes:
  NullLogger, PrintStreamLogger

    public interface Logger

Internal logging interface.

Method Summary
`void` | `debug(java.lang.Object o)`
`void` | `debug(java.lang.Object o, java.lang.Throwable throwable)`
`void` | `enter(java.lang.Object o)`
`void` | `error(java.lang.Object o)`
`void` | `error(java.lang.Object o, java.lang.Throwable throwable)`
`void` | `exit(java.lang.String method)`
`void` | `exit(java.lang.String method, java.lang.Object returnValue)`
`void` | `fatal(java.lang.Object o)`
`void` | `fatal(java.lang.Object o, java.lang.Throwable throwable)`
`void` | `info(java.lang.Object o)`
`void` | `info(java.lang.Object o, java.lang.Throwable throwable)`
`boolean` | `isDebugEnabled()`
`boolean` | `isEnterEnabled()`
`boolean` | `isErrorEnabled()`
`boolean` | `isExitEnabled()`
`boolean` | `isFatalEnabled()`
`boolean` | `isInfoEnabled()`
`boolean` | `isParamEnabled()`
`boolean` | `isTraceEnabled()`
`boolean` | `isWarnEnabled()`
`void` | `param(java.lang.String name, java.lang.Object param)`
`void` | `trace(java.lang.Object o)`
`void` | `trace(java.lang.Object o, java.lang.Throwable throwable)`
`void` | `warn(java.lang.Object o)`
`void` | `warn(java.lang.Object o, java.lang.Throwable throwable)`

Method Detail

### isDebugEnabled

    boolean isDebugEnabled()

### isErrorEnabled

    boolean isErrorEnabled()

### isFatalEnabled

    boolean isFatalEnabled()

### isInfoEnabled

    boolean isInfoEnabled()

### isTraceEnabled

    boolean isTraceEnabled()

### isWarnEnabled

    boolean isWarnEnabled()

### trace

    void trace(java.lang.Object o)

### trace

    void trace(java.lang.Object o,
               java.lang.Throwable throwable)

### debug

    void debug(java.lang.Object o)

### debug

    void debug(java.lang.Object o,
               java.lang.Throwable throwable)

### info

    void info(java.lang.Object o)

### info

    void info(java.lang.Object o,
              java.lang.Throwable throwable)

### warn

    void warn(java.lang.Object o)

### warn

    void warn(java.lang.Object o,
              java.lang.Throwable throwable)

### error

    void error(java.lang.Object o)

### error

    void error(java.lang.Object o,
               java.lang.Throwable throwable)

### fatal

    void fatal(java.lang.Object o)

### fatal

    void fatal(java.lang.Object o,
               java.lang.Throwable throwable)

### isEnterEnabled

    boolean isEnterEnabled()

### enter

    void enter(java.lang.Object o)

### isExitEnabled

    boolean isExitEnabled()

### exit

    void exit(java.lang.String method)

### exit

    void exit(java.lang.String method,
              java.lang.Object returnValue)

### isParamEnabled

    boolean isParamEnabled()

### param

    void param(java.lang.String name,
               java.lang.Object param)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 - 2007 Andrew Pietsch